- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files
- Directories
- Examples

- Class List
- Class Hierarchy
- Class Members

Public Member Functions | Public Attributes | Static Public Attributes

# CheckableFloatArray Struct Reference

Search for all occurrences

## Detailed Description

Definition at line 1625 of file math.h.

`#include <math.h>`

List of all members.

## Public Member Functions
| CheckableFloatArray ()
void | SetState (bool b)
| Sets the associated boolean value.
bool | State (void) const
| Retrieves the associated boolean value.
float | Value (unsigned int i) const
void | SetValue (unsigned int i, float v)
void | AddElement (unsigned int i, QString sLabel, float fMin, float fMax, float fValue)
unsigned int | Size () const
bool | IsComplementary () const
| the return value is true when the second range is [0, m_aMax[0] - m_aValue[0]].
void | SetComplementary (bool b)
bool | operator== (const CheckableFloatArray &) const throw ()
bool | operator!= (const CheckableFloatArray &v) const throw ()
void | Serialize (Stream &s)
## Public Attributes
unsigned int | m_iSize
QString | m_aLabel [2]
float | m_aMin [2]
float | m_aMax [2]
float | m_aValue [2]
bool | m_bComplementary
## Static Public Attributes
static bool | s_bActive

## Constructor & Destructor Documentation

CheckableFloatArray | ( |  | ) | `[inline]`

Definition at line 1628 of file math.h.

        {
            m_iSize = 2;
            m_aValue[0] = 0; m_aValue[1] = 1;
            m_bComplementary = false;
        }

## Member Function Documentation

void SetState | ( | bool | b | ) | `[inline]`

Search for all occurrences

Sets the associated boolean value.

Definition at line 1636 of file math.h.

    { s_bActive = b; };

bool State | ( | void |  | ) | const `[inline]`

Search for all occurrences

Retrieves the associated boolean value.

Definition at line 1638 of file math.h.

    { return s_bActive; };

float Value | ( | unsigned int | i | ) | const `[inline]`

Search for all occurrences

Definition at line 1640 of file math.h.

    { MB_ASSERT(i < m_iSize); return m_aValue[i]; }

void SetValue | ( | unsigned int | i,
|  | float | v
| ) |  | `[inline]`

Search for all occurrences

Definition at line 1641 of file math.h.

    { MB_ASSERT(i < m_iSize); m_aValue[i] = v; }

void AddElement | ( | unsigned int | i,
|  | QString | sLabel,
|  | float | fMin,
|  | float | fMax,
|  | float | fValue
| ) |  | `[inline]`

Search for all occurrences

Definition at line 1643 of file math.h.

        {
            MB_ASSERT(i < m_iSize);
            MB_ASSERT(fValue > fMin && fValue < fMax);
            m_aLabel[i] = sLabel;
            m_aMin[i] = fMin;
            m_aMax[i] = fMax;
            m_aValue[i] = fValue;
        }

unsigned int Size | ( | void |  | ) | const `[inline]`

Search for all occurrences

Definition at line 1653 of file math.h.

    { return m_iSize; }

bool IsComplementary | ( |  | ) | const `[inline]`

Search for all occurrences

the return value is true when the second range is [0, m_aMax[0] - m_aValue[0]].

Definition at line 1657 of file math.h.

    { return m_bComplementary; }

void SetComplementary | ( | bool | b | ) | `[inline]`

Search for all occurrences

Definition at line 1658 of file math.h.

    { m_bComplementary = b; }

bool operator== | ( | const CheckableFloatArray & |  | ) | const throw () `[inline]`

Definition at line 1660 of file math.h.

    { return false; };

bool operator!= | ( | const CheckableFloatArray & | v | ) | const throw () `[inline]`

Definition at line 1661 of file math.h.

    { return !operator ==( v ); };

void Serialize | ( | Stream & | s | ) | `[inline]`

Search for all occurrences

Definition at line 1663 of file math.h.

        {
            s == s_bActive == m_iSize == m_bComplementary;
            for (unsigned int i = 0; i < m_iSize; ++i)
                s == m_aLabel[i] == m_aMin[i] == m_aMax[i] == m_aValue[i];
        };

## Member Data Documentation

bool s_bActive `[static]`

Search for all occurrences

Definition at line 1668 of file math.h.

unsigned int m_iSize

Search for all occurrences

Definition at line 1671 of file math.h.

QString m_aLabel[2]

Search for all occurrences

Definition at line 1672 of file math.h.

float m_aMin[2]

Search for all occurrences

Definition at line 1673 of file math.h.

float m_aMax[2]

Search for all occurrences

Definition at line 1674 of file math.h.

float m_aValue[2]

Search for all occurrences

Definition at line 1675 of file math.h.

bool m_bComplementary

Search for all occurrences

Definition at line 1676 of file math.h.

The documentation for this struct was generated from the following file:

- Mudbox/math.h